
   <tr  style="background:#fbfaf4">
    <td class="tr">模板文件 - 分类列表：</td>
     <td >
      <?php

if(is_dir(TPLCURROOT.'tpl/layout/')){
   $filedir = TPLCURROOT.'tpl/layout/category/';
   $filedir_name = HTMLDIR.'/tpl/layout/category/';
}
else{
   $filedir = BLOCKROOT.'tpl/layout/category/';
   $filedir_name = 'DM-block/tpl/layout/category/';
}

//echo $filedir;
if(is_dir($filedir)){
  $filearr = getFile($filedir);
 // $filearr = array_merge($filearr2,$filearr);

}

//pre($filearr);
 //------------
if($mbfile=='') echo '<p style="color:red">请选择模板文件</p>';
 echo  '<select name="mbfile">';
 //if($sysblockfolder=='mobi') echo '<option value="usepc">使用pc端选择</option>';

  // $selectjcgg = $template == 'jcgg'?' selected= "selected" ':'';
  // if($typepagetemplate<>'common')  echo ' <option '.$selectjcgg.'  value="jcgg">继承公共布局的选择</option>';

echo '<option value="">请选择</option>';

  foreach ($filearr as $v){
           if($mbfile==$v) $select=' selected '; else $select='';
          
             echo '<option '.$select.'value="'.$v.'">'.$v.'</option>' ;

    }


//  select_from_arr2($filearr,$template,'');
 //echo '<option value="hide">隐藏hide</option>';
 echo '</select>';



 ?>
 <p class="cgray">文件： <?php echo $filedir_name;?></p>   
   </td> 
  </tr>





   <tr  style="background:#fbfaf4">
    <td class="tr">模板文件 - 详情页：</td>
     <td >
      <?php

if(is_dir(TPLCURROOT.'tpl/layout/')){
   $filedir = TPLCURROOT.'tpl/layout/detail/';
   $filedir_name = HTMLDIR.'/tpl/layout/detail/';
}
else{
   $filedir = BLOCKROOT.'tpl/layout/detail/';
   $filedir_name = 'DM-block/tpl/layout/detail/';
}

//echo $filedir;
if(is_dir($filedir)){
  $filearr = getFile($filedir);
 // $filearr = array_merge($filearr2,$filearr);

}

//pre($filearr);
 //------------
if($mbfiledetail=='') echo '<p style="color:red">请选择模板文件</p>';
 echo  '<select name="mbfiledetail">';
 //if($sysblockfolder=='mobi') echo '<option value="usepc">使用pc端选择</option>';

  // $selectjcgg = $template == 'jcgg'?' selected= "selected" ':'';
  // if($typepagetemplate<>'common')  echo ' <option '.$selectjcgg.'  value="jcgg">继承公共布局的选择</option>';

echo '<option value="">请选择</option>';

  foreach ($filearr as $v){
           if($mbfiledetail==$v) $select=' selected '; else $select='';
          
             echo '<option '.$select.'value="'.$v.'">'.$v.'</option>' ;

    }


//  select_from_arr2($filearr,$template,'');
 //echo '<option value="hide">隐藏hide</option>';
 echo '</select>';



 ?>
 <p class="cgray">文件： <?php echo $filedir_name;?></p>   
   </td> 
  </tr>

